Subject: bug#503: [devuan-dev] bug#503: Let's fork iwd for Devuan

From: Bardot Jérôme <[email-masked]>
Date: Thu, 6 Aug 2020 17:28:12 +0200

I just check in testing debian and

#apt show iwd

Package: iwd
Version: 1.8-1
Priority: optional
Section: net
Maintainer: Andreas Henriksson <[email-masked]>
Installed-Size: 2 019 kB
Depends: libc6 (>= 2.27), libreadline8 (>= 6.0)
Download-Size: 483 kB
APT-Manual-Installed: yes
APT-Sources: tor+http://ftp.fr.debian.org/debian testing/main amd64 Packages
Description: wireless daemon for Linux
 Minimalistic wireless daemon that uses modern Linux interfaces like
 cfg80211 and nl80211 (netlink). The daemon provides a D-Bus API.
 .
 The daemon can be controlled from the command line with the included
 iwctl client utility.
 .
 The included iwmon utility can be used to monitor the 802.11 subsystem
 generic netlink commands and events. It uses the nlmon kernel driver
 from Linux 3.10 and later.

If it s the right package it’s look like their is no dependencies to
systemd.

On 06/08/2020 06:54, Job Bautista wrote:
> Hi Jérôme, that looks like a good alternative indeed. It should be packaged by
> Debian though, not Devuan. However, I don't think I can maintain more than two
> packages. I already have a a sponsorship request pending on
> mentors.debian.net for the xfce4-alsa-plugin package.[1] And now I'm going to
> maintain a fork of iwd. So you will have to ask someone else to package eiwd.
> 
> I will ask the eiwd dev to consider adding support for sysvinit though. They
> might be more open to supporting multiple inits than their upstream iwd. Or
> they might just reject it because they want to modify as little as possible
> from upstream. Who knows...
> 
> Job Bautista
> 
> [1]: https://mentors.debian.net/package/xfce4-alsa-plugin/
> 
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Wednesday, August 5, 2020 9:58 PM, Jérôme Bardot <[email-masked]> wrote:
> 
>> i also will ask for it, also maybe try to use
>> https://github.com/dylanaraps/eiwd look like a good alternative
>> because of the no dbus functionalities ?
>>
> 
>> Le mer. 5 août 2020 à 14:31, Mark Hindley [email-masked] a écrit :
>>
> 
>>> Job,
>>> Many thanks for taking this on.
>>> A few comments on https://git.devuan.org/jobbautista9/iwd
>>>
> 
>>> -   The branch should be suites/unstable.
>>> -   Add Origin: Devuan to d/control
>>> -   You need to update d/gbp.conf, in particular debian-branch, debian-tag and
>>>     pristine-tar. Devuan avoids using pristine-tar.
>>>     
> 
>>> -   Vcs-* fields in d/control should be https://git.devuan.org/devuan/iwd (where
>>>     the definitive source will be once it is accepted)
>>>     
> 
>>> -   You don't need quilt patches for changes in debian/. So you can just create
>>>     the initscript as debian/iwd.init.
>>>     
> 
>>> -   You shouldn't add the initscript control fragments to the maintscripts
>>>     manually, debhelper should do it (correctly) for you.
>>>     
> 
>>>
> 
>>> Other than the last item, these are documented in the Devuan Maintainers
>>> Guide[1]. If anything is not clear do ping me on #devuan-dev.
>>> Thanks
>>> Mark (LeePen)
>>> [1] https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>>>
> 
>>> devuan-dev internal mailing list
>>> [email-masked]
>>> https://mailinglists.dyne.org/cgi-bin/mailman/listinfo/devuan-dev
>